import database
import os
import json

def import_workspace(data):
	workspace = database.Workspace(
		data["name"],
		data["address"],
		data["main_photo"],
		data["additional_photos"],
		data["description"],
		data["website"],
		data["email"],
		data["phone_number"],
		data["opening_hours"],
		data["checkin_instructions"]
	)

	latlong = data["latlong"]
	if latlong != None:
		database.set_address_latlong(workspace.address, (latlong[0], latlong[1]))

	database.add_workspace(workspace)

file = os.path.join(os.path.dirname(os.path.abspath(__file__)), "workspaces.json")

with open(file, "r", encoding="utf8") as stream:
	data = json.load(stream)
	for workspace in data:
		import_workspace(workspace)

	print(f"Imported {len(data)} workspace(s)")
